export type MetadataType = {
  [key: string]: string
}

export type FieldType = {
  type: FieldTypes;
  value: string;
  isConstant: boolean;
  limit: number;
};

export type TypeType = Record<string, FieldType>;

export type Schema = {
  name: string;
  types: Record<string, TypeType>
}

export enum FieldTypes {
  number = 'number',
  text = 'text',
  checkbox = 'checkbox',
  type = '@type',
  dice = 'dice'
}

export const fieldTypeOptions: (keyof typeof FieldTypes)[] = ['number', 'text', 'checkbox', 'type', 'dice']
export const fieldTypesWithValues = [FieldTypes.dice, FieldTypes.type];
